com.jscape.inet.mft.resources

## Class VirtualRemoteFileDescriptor

- java.lang.Object
- - com.jscape.inet.vfs.VirtualFileDescriptor<VirtualRemoteFileDescriptor.Handler>
  - - com.jscape.inet.mft.resources.VirtualRemoteFileDescriptor

-     public class VirtualRemoteFileDescriptor
      extends VirtualFileDescriptor<VirtualRemoteFileDescriptor.Handler>

  Contains remote file information. Usually it is just remote resource name reference.
  Author:
    Alex

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `VirtualRemoteFileDescriptor.Handler`

    - ### Nested classes/interfaces inherited from class com.jscape.inet.vfs.VirtualFileDescriptor

      `VirtualFileDescriptor.HandlerBase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualRemoteFileDescriptor()` Creates a new descriptor instance.
    `VirtualRemoteFileDescriptor(java.lang.String path, AccessPermissions accessPermissions, boolean secured, boolean denied, boolean indexable, java.lang.String name)`
    `VirtualRemoteFileDescriptor(VirtualRemoteFileDescriptor that)` Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(VirtualRemoteFileDescriptor.Handler handler)`
    `VirtualRemoteFileDescriptor` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getName()` Returns remote resource name.
    `int` | `hashCode()`
    `void` | `setName(java.lang.String name)` Sets remote resource name.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.vfs.VirtualFileDescriptor

      `getAccessPermissions, getPath, isDenied, isIndexable, isSecured, setAccessPermissions, setDenied, setIndexable, setPath, setSecured`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VirtualRemoteFileDescriptor

          public VirtualRemoteFileDescriptor(java.lang.String path,
                                             AccessPermissions accessPermissions,
                                             boolean secured,
                                             boolean denied,
                                             boolean indexable,
                                             java.lang.String name)

    - #### VirtualRemoteFileDescriptor

          public VirtualRemoteFileDescriptor()

      Creates a new descriptor instance.

    - #### VirtualRemoteFileDescriptor

          public VirtualRemoteFileDescriptor(VirtualRemoteFileDescriptor that)

      Copy constructor.
      Parameters:
        `that` - the instance to copy

  - ### Method Detail

    - #### accept

          public void accept(VirtualRemoteFileDescriptor.Handler handler)
                      throws java.lang.Exception

      Specified by:
        `accept` in class `VirtualFileDescriptor<VirtualRemoteFileDescriptor.Handler>`
      Throws:
        `java.lang.Exception`

    - #### copy

          public VirtualRemoteFileDescriptor copy()

      Specified by:
        `copy` in class `VirtualFileDescriptor<VirtualRemoteFileDescriptor.Handler>`

    - #### getName

          public java.lang.String getName()

      Returns remote resource name.
      Returns:
        remote resource name

    - #### setName

          public void setName(java.lang.String name)

      Sets remote resource name.
      Parameters:
        `name` - the remote resource name

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `VirtualFileDescriptor<VirtualRemoteFileDescriptor.Handler>`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved